AOZ Studio Beta - Bug #279

Sprites are drawn larger than bobs and move faster
02/29/2020 08:28 PM - Paul Kitching

Status: Closed Start date: 02/29/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 4:00 hours
Target version:

Affected version: Beta RC2

Description

#manifest: "pc"
#displayWidth:1920
#displayHeight:1080
#fullScreen:true
#splashScreen:false
#fps:false

scrx=1920
scry=1080
screen open 0,scrx,scry,32,lowres
hot spot 1,812
manx=scrx/2:many=scry/2
ink 4:box 0,0 to scrx,scry
while not finished
if many<scry then inc many
bob 1,manx,many,1
sprite 1,manx,many, 1l
locate 1,1:print manx,many
wait vbl
Wend

The sprite is drawn slightly larger than the bob. It looks to me (I may be wrong) that because the sprite uses what used to be
overscan, it is scaled differently, so appears larger and moves faster because of the extra screen size that it uses.

History

#1 - 02/29/2020 08:35 PM - Paul Kitching

Without the #fullScreen:true line they both appear the same size and speed.

#2 - 03/24/2020 02:17 PM - Paul Kitching
- Affected version changed from 0.9.5.1 to 0.9.7

#3 - 08/04/2020 02:01 PM - Paul Kitching
- Affected version changed from 0.9.7 to 0.9.9.4

#4 - 09/21/2020 09:04 PM - Brian Flanagan

- Priority changed from Normal to High

- Estimated time set to 4:00 h

- Affected version changed from 0.9.9.4 to Beta RC2
Re-tested in Beta RC2. Problem still exists.

This appears to have something to do with problems switching between the Amiga the PC/AOZ manifests.

In the Amiga manifest, Sprites need to be displayed via hardware coordinates, so an X Hard() and Y Hard() conversion is needed. It appears that in
PC/AOZ mode it is still attempting to use hardware coordinates.

Also, in Amiga mode, the images both appear the same size.
#5 - 09/19/2021 06:04 PM - Paul Kitching

- Status changed from New to Closed

Working in Beta 10.
